require("libraries.AnAL")
require("player")
require("libraries.camera")
require("itemprocess")
require("collision")

function love.load()
    g = love.graphics
    k = love.keyboard
    player:new()
    item:new()

    arc_path = 'arc/'
    require(arc_path .. 'arc')
    _navi = require(arc_path .. 'navi')
end

function love.update(dt)
    player:update(dt)
    arc.check_keys(dt)
    collision:new(dt)
end

function love.draw()
	camera:set()

    item:draw()
    player:draw()

    arc.clear_key()

    camera:unset()
end

function love.keyreleased(key)
    player:animreset(key)
end

function love.keypressed(k)
    arc.set_key(k)
end

-- Collision detection function.
function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)

  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end
